<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.interfaces&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="module">Module k.interfaces</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a></span>
      
      
    </p>
    <div>
      
    </div>
    <div>Interface specifications and utilities
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id413">
  
  
  
  
  <tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.interfaces.IProxyWidget.html">IProxyWidget</a></td>
    <td><span>IProxyWidget is a widget that can be attached to a proxy.
</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.interfaces.IValidatableProxyWidget.html">IValidatableProxyWidget</a></td>
    <td><span>IValidatableProxyWidget extends IProxyWidget with validation support
</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.interfaces.IEasyCombo.html">IEasyCombo</a></td>
    <td><span class="undocumented">No class docstring; 10/12 methods documented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.interfaces.AbstractGladeAdaptor.html">AbstractGladeAdaptor</a></td>
    <td><span>Abstract class that define the functionality an class that handle
</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.interfaces.ISearchFilter.html">ISearchFilter</a></td>
    <td><span class="undocumented">No class docstring; 1/1 methods documented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>